AddCSLuaFile("cl_init.lua")
AddCSLuaFile("shared.lua")
include('shared.lua')

/*---------------------------------------------------------
   Name: Initialize

   This is the spawn function. It's called when a client calls the entity to be spawned.
   If you want to make your SENT spawnable you need one of these functions to properly create the entity.
   ply is the name of the player that is spawning it.
   tr is the trace from the player's eyes.
---------------------------------------------------------*/
function ENT:SpawnFunction(ply, tr)

	if (!tr.Hit) then return end
	local SpawnPos = tr.HitPos + tr.HitNormal * 16
	local ent = ents.Create("npc_rebelsquad")
		ent:SetPos(SpawnPos)
		ent:Spawn()
	self.Owner = ply
end

function CombineSquadOwner( ply, npc )
	npc.Owner = ply
	if !ply:IsAdmin() then
		ply:PrintMessage(HUD_PRINTCENTER, "You are not an Admin!")
		npc:Remove()
	end
end

hook.Add("PlayerSpawnedNPC", "CombineSquadOwner", CombineSquadOwner);

function ENT:Initialize()
	if GetConVar("npcg_weapondrop"):GetInt() >= 1 then
		self.weaponnum = 8192
	else
		self.weaponnum = 0
	end
	self.ent1 = ents.Create("npc_citizen")
		self.ent1:SetPos(self:GetPos())
		self.ent1:SetAngles(self:GetForward():Angle())
		self.ent1:SetKeyValue( "citizentype", "3" )
		self.ent1:SetKeyValue( "additionalequipment", "weapon_smg1" )
		self.ent1:SetKeyValue( "SquadName", "RebelSquad" )
		self.ent1:SetKeyValue( "Expression Type", "Random" )
		self.ent1:SetKeyValue( "spawnflags", tostring(139264 - self.weaponnum))
		self.ent1:Spawn()
	self.ent2 = ents.Create("npc_citizen")
		self.ent2:SetPos(self:GetPos() + self:GetForward():Normalize() * 100 + self:GetRight():Normalize() * 100)
		self.ent2:SetAngles(self:GetForward():Angle())
		self.ent2:SetKeyValue( "citizentype", "2" )
		self.ent2:SetKeyValue( "additionalequipment", "weapon_ar2" )
		self.ent2:SetKeyValue( "SquadName", "RebelSquad" )
		self.ent2:SetKeyValue( "Expression Type", "Random" )
		self.ent2:SetKeyValue( "spawnflags", tostring(8192 - self.weaponnum))
		self.ent2:Spawn()
	self.ent3 = ents.Create("npc_citizen")
		self.ent3:SetPos(self:GetPos() + self:GetForward():Normalize() * 100 + self:GetRight():Normalize() * -50)
		self.ent3:SetAngles(self:GetForward():Angle())
		self.ent3:SetKeyValue( "citizentype", "3" )
		self.ent3:SetKeyValue( "additionalequipment", "weapon_shotgun" )
		self.ent3:SetKeyValue( "SquadName", "RebelSquad" )
		self.ent2:SetKeyValue( "Expression Type", "Random" )
		self.ent3:SetKeyValue( "spawnflags", tostring(8192 - self.weaponnum))
		self.ent3:Spawn()
	self.ent4 = ents.Create("npc_citizen")
		self.ent4:SetPos(self:GetPos() + self:GetForward():Normalize() * 0 + self:GetRight():Normalize() * 50)
		self.ent4:SetAngles(self:GetForward():Angle())
		self.ent4:SetKeyValue( "citizentype", "3" )
		self.ent4:SetKeyValue( "additionalequipment", "weapon_ar2" )
		self.ent4:SetKeyValue( "SquadName", "RebelSquad" )
		self.ent2:SetKeyValue( "Expression Type", "Random" )
		self.ent4:SetKeyValue( "spawnflags", tostring(8192 - self.weaponnum))
		self.ent4:Spawn()
	self.ent5 = ents.Create("npc_vortigaunt")
		self.ent5:SetPos(self:GetPos() + self:GetRight():Normalize() * -100)
		self.ent5:SetAngles(self:GetForward():Angle())
		self.ent5:SetKeyValue( "SquadName", "RebelSquad" )
		self.ent5:Spawn()

	self.ent1:AddRelationship("player D_HT 200")
	self.ent2:AddRelationship("player D_HT 200")
	self.ent3:AddRelationship("player D_HT 200")
	self.ent4:AddRelationship("player D_HT 200")
	self.ent5:AddRelationship("player D_HT 200")

	timer.Simple(0, function()
	undo.Create("Rebel Group")
		undo.AddEntity(self.ent1)
		undo.AddEntity(self.ent2)
		undo.AddEntity(self.ent3)
		undo.AddEntity(self.ent4)
		undo.AddEntity(self.ent5)
		undo.SetCustomUndoText("Undone Hostile Rebels")
		undo.SetPlayer(self.Owner)
	undo.Finish()
	self:Remove()
	end)
end